# MapDiff

data class MapDiff < K , V >(val removed: Map < K , V >, val changed: Map < K , Pair < V , V >>, val added: Map < K , V >)(source)

Contains diff based on the comparison of objects with the same K.

#### Parameters

removed

Contains map with keys removed from parent map

changed

Contains map with keys values changed new map in comparison with old one

added

Contains map with new keys and values

## Constructors

MapDiff
Link copied to clipboard
constructor(removed: Map < K , V >, changed: Map < K , Pair < V , V >>, added: Map < K , V >)

## Types

Companion
Link copied to clipboard
object Companion

## Properties

added
Link copied to clipboard
val added : Map < K , V >
changed
Link copied to clipboard
val changed : Map < K , Pair < V , V >>
removed
Link copied to clipboard
val removed : Map < K , V >

## Functions

isEmpty
Link copied to clipboard
fun isEmpty (): Boolean
isNotEmpty
Link copied to clipboard
inline fun isNotEmpty (): Boolean
reversed
Link copied to clipboard
fun < K , V > MapDiff < K , V >. reversed (): MapDiff < K , V >

Reverse this. Result will contain MapDiff.added on MapDiff.removed (and vice-verse), all the MapDiff.changed values will be reversed too